#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name urwid

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	A console UI library featuring fluid interface resizing, UTF-8 support, multiple text layouts, simple attribute markup, powerful scrolling list boxes and flexible interface design.
Name:		python%{PVER}-%{original_name}
Version:	0.9.8.4
Release:	3
Source0:	%{original_name}-%{version}.tar.gz
License:	LGPL
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://excess.org/urwid/
Requires:	python%{PVER}
BuildArch:	i686
BuildRequires:	python%{PVER}-devel
Provides:	%{original_name} = %{version}-%{release}
Obsoletes:	%{original_name} <= %{version}-%{release}
Obsoletes:	python25-urwid

%description
Urwid is a console user interface library.  It includes many features
useful for text console application developers including:

- Fluid interface resizing (xterm window resizing / fbset on Linux console)
- Web application display mode using Apache and CGI
- Support for UTF-8, simple 8-bit and CJK encodings
- Multiple text alignment and wrapping modes built-in
- Ability to create user-defined text layout classes
- Simple markup for setting text attributes
- Powerful list box that handles scrolling between different widget types
- List box contents may be managed with a user-defined class
- Flexible edit box for editing many different types of text
- Buttons, check boxes and radio boxes
- Customizable layout for all widgets
- Easy interface for creating HTML screen shots

Home Page:
  http://excess.org/urwid/

Example Program Screenshots:
  http://excess.org/urwid/examples.html

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --prefix=/usr --skip-build --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc tutorial.html
%doc reference.html
%{python_sitelib}

%changelog
* Fri Oct 30 2009 Christian Wasem <metzench@ccux-linux.de> 0.9.8.4-3
- rebuild against python26-2.6.3-1
* Fri Oct 23 2009 Christian Wasem <metzench@ccux-linux.de> 0.9.8.4-2
- rebuild against python25-2.5.4-3
* Sat Sep 12 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.8.4-1
- Initial CCux package release
